Mangools/API

Get list of all locations

Search supported geotargeting locations by name. Pass a search query (country, region or city name, e.g. New York). Returns up to 100 matching active locations ordered by type and name, each with country code, canonical name and location ID.

This is a shared endpoint — the same location_id values are used across KWFinder, SERPChecker, SERPWatcher and AI Search Watcher whenever an endpoint accepts a location parameter.

For the complete reference of Google geotargeting IDs, see Google Ads geotargeting.

GET
/mangools/locations

Query Parameters

query*string

Name of location

Response Body

application/json

text/html

curl -X GET "https://api.mangools.com/v3/mangools/locations?query=New+York"
[
  {
    "active": true,
    "canonical_name": "New York, United States",
    "code": "us",
    "country_code": "US",
    "created_at": 1588773715,
    "google_domain": "google.us",
    "label": "New York, United States",
    "name": "New York",
    "parent_id": 2840,
    "status": "Active",
    "target_type": "State",
    "tld": "us",
    "type": 70,
    "_id": 21167
  },
  {
    "active": true,
    "canonical_name": "New York, New York, United States",
    "code": "us",
    "country_code": "US",
    "created_at": 1588773715,
    "google_domain": "google.us",
    "label": "New York, New York, United States",
    "name": "New York",
    "parent_id": 21167,
    "status": "Active",
    "target_type": "City",
    "tld": "us",
    "type": 92,
    "_id": 1023191
  }
]
"<html>\n<head><title>429 Too Many Requests</title></head>\n<body>\n<center><h1>429 Too Many Requests</h1></center>\n<hr><center>nginx</center>\n</body>\n</html>\n"